<?php require_once( 'couch/cms.php' ); ?>
<cms:template title='Show bulletin' clonable='1' order='5' >
<cms:editable name='sender' label='Sender' type='group' order='2' />
	<cms:editable name='sender_name' label='Name' type='text' group='sender' width='200' order='3' >Web Manager</cms:editable >
	<cms:editable name='sender_email' label='Email address' type='text' group='sender' order='4' >website@burrawang.org.au</cms:editable >	
	<cms:editable name='bull_content' label='Bulletin content' type='richtext' order='5' trust_mode='1' />	
	<cms:editable name='bull_attach' label='Attached files' type='group' order='6' />
	<cms:editable name='bull_attach_0' label='File' type='file' order='7' group='bull_attach' />
	<cms:editable name='bull_attach_1' label='File' type='file' order='8' group='bull_attach' />
	<cms:editable name='bull_attach_2' label='File' type='file' order='9' group='bull_attach' />
	<cms:editable name='bull_attach_3' label='File' type='file' order='10' group='bull_attach' />
	<cms:editable name='bull_attach_4' label='File' type='file' order='11' group='bull_attach' />

	<cms:editable name='sent_date' label='Date sent' desc='Blank for unsent drafts' type='text' width='100' order='12' />	
	<cms:editable name='bull_header' label='Header image' type='image' order='13' >couch/uploads/image/bulletin_banner.jpg</cms:editable >	
	<cms:editable name='bull_footer' label='Footer text' type='richtext' order='14' trust_mode='1' />
	
	<cms:folder name='membership' title='Membership information' />
	<cms:folder name='management' title='Management information' />
	<cms:folder name='work_parties' title='Work party information' />
	<cms:folder name='interests' title='Interests & activities' />
	
	<cms:if k_page_foldertitle >
		<cms:set item_folder=k_page_foldertitle />
		<cms:set this_folder=k_page_foldertitle />
	<cms:else />
		<cms:set item_folder='Interests & activities' />
	</cms:if>	
</cms:template>

<cms:if k_logged_in >
		<!-- get user access right level -->
	<cms:pages masterpage=k_user_template id=k_user_id >
		<cms:set user_right=user_access scope='global' />
		<cms:set access_level=k_access_level scope='global' />
	</cms:pages >				
<cms:else />					
	<cms:set user_right='0' />
</cms:if>
	
<cms:set page_access='2' /> <!-- Members only -->
		

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title><cms:if k_is_page ><cms:show k_page_title /> - </cms:if>Burrawang Coastal Club</title>
	<meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
	<cms:embed 'metalinks.txt' />
</head>

<body onload="redact(<cms:show user_right />)">

<div class="container">
	<cms:embed 'pageheader.txt' />
	<div class="row clearfix" id="bcc_mainpage">
		<cms:embed 'leftnav.txt' />
		<div class="col-md-9 column" id="bcc_maincontent">
			<div class="row clearfix">
				<div class="col-md-9 column">
					<cms:if k_is_page >
					<!-- Page view -->
						<cms:if page_access gt user_right >
							<cms:embed 'access_denied.txt' />
						<cms:else />
							<!--Put the content payload here-->					
							<h1>Burrawang bulletin</h1>
							<p class="small"><a href="<cms:show k_site_link />bulletin.php" title="Back to index">Back to index</a></p>
							<cms:if sent_date >
								<cms:set title_txt=k_page_title />
								<cms:set pub_date="<cms:date sent_date format='j F Y' />" />
							<cms:else />
								<cms:set title_txt="<cms:concat k_page_title " (draft)" />" />
								<cms:set pub_date="Unsent draft" />
							</cms:if >
							<h2><cms:show title_txt /></h2>
							<p class="bcc_pageinfo"><cms:if item_folder ><cms:show item_folder /> &bull; </cms:if><cms:show pub_date /></p>
							<cms:do_shortcodes><cms:show bull_content /></cms:do_shortcodes>

							<cms:if bull_attach_0 >
								<hr>
								<p><strong>Attached file:</strong> <a href="<cms:show bull_attach_0 />" target="_new"><cms:show bull_attach_0 /></a></p>
							</cms:if >
							<cms:if bull_attach_1 >
								<p><strong>Attached file:</strong> <a href="<cms:show bull_attach_1 />" target="_new"><cms:show bull_attach_1 /></a></p>
							</cms:if >
							<cms:if bull_attach_2 >
								<p><strong>Attached file:</strong> <a href="<cms:show bull_attach_2 />" target="_new"><cms:show bull_attach_2 /></a></p>
							</cms:if >
							<cms:if bull_attach_3 >
								<p><strong>Attached file:</strong> <a href="<cms:show bull_attach_3 />" target="_new"><cms:show bull_attach_3 /></a></p>
							</cms:if >
							<cms:if bull_attach_4 >
								<p><strong>Attached file:</strong> <a href="<cms:show bull_attach_4 />" target="_new"><cms:show bull_attach_4 /></a></p>
							</cms:if >
							<hr>
							<div class="small">							
								<cms:do_shortcodes><cms:show bull_footer /></cms:do_shortcodes>
							</div>
							<!-- For Committee members only, and if the bulletin hasn't been sent yet -->
							<cms:if user_right=='3' && sent_date=='' > 
								<div class="bcc_profile">
									<cms:set edit_form="<cms:concat 'write_bulletin.php?pg=' k_page_id />" />
									<button type="submit" class="btn btn-default btn-sm" name="btn_edit" onClick="location.assign('<cms:show edit_form />')">Edit draft</button>
								</div>
							</cms:if>
							<div class="bcc_pageinfo">
								<p class="text-right"><a href="#top" title="Go to top of page">Back to top</a></p>
							</div>
						</cms:if>						
					<cms:else />
					<!-- List or archive view-->
						<div class="bcc_textswitch">
							<p><a href="#" onclick="content_toggle()" id="bcc_switchlink" title="Switch between outline and full text">Show headings</a></p>
						</div>
						<cms:if k_folder_title >
							<cms:set this_folder=k_folder_title />
						<cms:else />
							<cms:set this_folder="Email bulletins" />
						</cms:if>
						
						<cms:if k_archive_date >
							<cms:set this_folder="<cms:date k_archive_date format='F Y' />" />
						</cms:if>
						
						<h1><cms:show this_folder /></h1>
						
						<cms:set no_items='<p>There are no items in this category.</p>' />
						
						<cms:pages masterpage='bulletin.php' folder=k_folder_name start_on=k_archive_date stop_before=k_next_archive_date paginate='1' limit='10'>
							
							<cms:if (k_folder_title || k_archive_date || (this_folder=="Email bulletins") ) >
								<cms:if sent_date >
									<cms:set title_txt=k_page_title />
									<cms:set pub_date="<cms:date sent_date format='j F Y' />" />
								<cms:else />
									<cms:set title_txt="<cms:concat k_page_title " (draft)" />" />
									<cms:set pub_date="Unsent draft" />
								</cms:if >
								<cms:if sent_date || (access_level ge '7') >
									<cms:set no_items='' scope='global' />
									<div class="bcc_content_item">
										<article>
											<h2><a name="<cms:show k_page_name />" href="#<cms:show k_page_name />" onclick="content_toggle()"><cms:show title_txt /></a></h2>
											<cms:excerptHTML count='50' ignore='img, ul'><cms:show bull_content /></cms:excerptHTML>
											<p><strong><a href="<cms:show k_page_link />">Read whole bulletin ...</a></strong></p>
											<p class="bcc_pageinfo"><cms:if k_page_foldertitle ><cms:show k_page_foldertitle /><cms:else />Interests & activities</cms:if> &bull; <cms:show pub_date /></p>
										</article> 
									</div>
								</cms:if >
								<cms:paginator />

							</cms:if>
						</cms:pages>
							
						<cms:show no_items />
						
					</cms:if>
				</div>
				<cms:if k_logged_in >
					<div class="col-md-3 column bcc_sidelist">
						<cms:if user_right=='3'> <!-- For Committee members only-->
							<p><a href="write_bulletin.php">Create new bulletin</a><br />&nbsp;</p>
						</cms:if>
						<p><small><strong>Bulletin categories</strong></small></p>
						<p><a href="<cms:show k_site_link />bulletin.php">All bulletins</a></p>
						<cms:folders masterpage='bulletin.php' >
							<p><a href="<cms:show k_folder_link />"><cms:show k_folder_title /></a></p>
						</cms:folders>	
						
						<p><small><strong>&nbsp;<br />Bulletin archive</strong></small></p>
						<cms:archives masterpage='bulletin.php' >
							<p><a href="<cms:show k_archive_link />"><cms:date k_archive_date format='F Y' /></a></p>
						</cms:archives >				
					</div>
				</cms:if>
			</div>
		<cms:embed 'colophon.txt' />
		</div>		
	</div>
</div>
</body>
</html>
<?php COUCH::invoke(); ?>