<?php require_once( 'couch/cms.php' ); 
	require_once( K_COUCH_DIR.'includes/ckeditor/ckeditor.php' );		
?>
<cms:template title='Write bulletin' order='6' >
	<cms:editable name='default_header' label='Header image' type='image' order='13' >couch/uploads/image/bulletin_banner.jpg</cms:editable >	
	<cms:editable name='default_footer' label='Footer text' type='richtext' order='14' />
</cms:template>
	
	<cms:set page_access='3' /> <!-- Committee members only-->
	
	<cms:if k_logged_in >		
		<cms:pages masterpage=k_user_template id=k_user_id >
			<cms:set user_right=user_access scope='global' /> <!-- get user access right level -->
		</cms:pages >
	<cms:else />
		<cms:set user_right='0' />  <!-- not logged in - public access only -->
	</cms:if>
	
	<!-- check whether an existing bulletin's page_name has been supplied as a page parameter -->				
	<cms:set bull_pg="<cms:gpc 'pg' method='get' />" scope='global' /> <!-- retrieve bulletin page_name -->	
	
	
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title><cms:if k_is_page ><cms:show k_page_title /> - </cms:if>Burrawang Coastal Club</title>
	<meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
	<cms:embed 'metalinks.txt' />
</head>

<body onLoad="hide_fields('attach')">

<div class="container">
	<cms:embed 'pageheader.txt' />
	<div class="row clearfix" id="bcc_mainpage">
		<cms:embed 'leftnav.txt' />
		<div class="col-md-9 column" id="bcc_maincontent">	
    
			<!-- are there any success messages to show from previous actions? -->
			<cms:set success_msg="<cms:get_flash 'success_msg' />" />
			<cms:if success_msg >			
				<h1>Sending bulletin</h1>
				<div class="notice">
					<p>The bulletin has been sent.</p>
				</div>
				<p><a href="bulletin.php?p=<cms:show bull_pg />">View as page</a></p>
			<cms:else />
				<!-- now the real work -->
				<cms:if page_access gt user_right >
					<!-- what is a non-Committee-member doing here? Send to 'page not found'. -->
					<cms:redirect "<cms:concat k_site_link '404.php' />" />
				<cms:else />
					<!-- is this a new bulletin?-->
					<cms:if bull_pg=='' >
						<!-- create a new bulletin -->
						<h1>Create email bulletin</h1>
						<cms:set form_mode='create' />
						
					<cms:else />
						<!-- edit an existing unsent bulletin -->
						<h1>Edit email bulletin</h1>
						<cms:set form_mode='edit' />
					</cms:if >
					
					<!-- show the message form -->							
					<cms:form  
						masterpage='bulletin.php'
						mode=form_mode
						page_id=bull_pg
						enctype='multipart/form-data' 
						method='post' 
						anchor='0' 
						class='form-horizontal bcc_profile' 
						role='form' 
						accept-charset='utf-8'>
							
						<cms:if k_success >
							<!-- Find out what action was taking place-->
							<cms:set act_save="<cms:gpc 'save' method='post' />" />
							<cms:set act_test="<cms:gpc 'test' method='post' />" />
							<cms:set act_send="<cms:gpc 'send' method='post' />" />							
							
							<cms:if act_send >
								<!-- Set the save date to today's date-->
								<cms:set form_date="<cms:date format='Y-m-d' />" />
							</cms:if>
							<cms:set page_key = "<cms:random_name />" />
							
							<cms:check_spam email=frm_extended_user_email /><!-- ??? -->
							
							<cms:db_persist_form 
								_invalidate_cache='0'
								k_page_name = page_key
								sent_date=form_date
							/>
							<cms:if k_success >				
								<!-- is the visitor here by clicking the 'Save' button? -->
								<cms:if act_save >
									<div class="notice">
										<p>The bulletin has been saved.</p>
									</div>
								<cms:else_if act_test />
									<div class="notice">
										<p>Sending the test bulletin to your email address...</p>
										<!-- get the user's own name and email address-->
										<cms:pages masterpage=k_user_template id=k_user_id >
											<cms:set target_email=extended_user_email scope='global' />
											<cms:set target_name=k_page_title scope='global' />
										</cms:pages >
										<!-- make sure the BCC list is empty-->
										<cms:set bcclist='' />
										<!-- Send test email -->
										<cms:embed 'mailout.txt' />
										<p><cms:show mail_result /></p>	
									</div>
								<cms:else_if act_send />
									<div class="notice">
										<p>Sending out the bulletin...</p>
										<!-- set the visible target name and email address-->
										<cms:set target_email='website@burrawang.org.au' scope='global' />
										<cms:set target_name='Burrawang Web Manager' scope='global' />
										<!-- get bulletin type -->
										<cms:if frm_folder == 'membership' >
											<cms:set msg_type='1' />
										<cms:else_if frm_folder == 'management' />
											<cms:set msg_type='2' />
										<cms:else_if frm_folder == 'work_parties' />
											<cms:set msg_type='3' />
										<cms:else />
											<cms:set msg_type='4' />
										</cms:if >										
										<!-- Retrieve recipients' email addresses -->
										<cms:set type_filter="<cms:concat 'email_pref>=' msg_type />" />
										<cms:pages masterpage=k_user_template custom_field=type_filter >
											<cms:set contact="<cms:concat k_page_title ';' extended_user_email />" />
											<cms:set bcclist="<cms:concat bcclist '|' contact />" scope='global' />
										</cms:pages >
										<!-- Send broadcast email -->
<cms:set mail_result='Sending has been disabled during testing.' />
<cms:ignore ><!-- until it's debugged!-->
										<cms:embed 'mailout.txt' />
</cms:ignore >
										<!-- check the result-->
										<cms:if mail_result=='The bulletin has been sent.' >
											<cms:set_flash name='success_msg' value='1' />
											<cms:set this_page="<cms:concat 'pg=' bull_pg />" />
											<cms:redirect "<cms:add_querystring k_page_link this_page />" />
																			<!-- or should it just go to the bulletin view page?-->
										<cms:else />
											<p><cms:show mail_result /></p>
										</cms:if>
									</div>
								</cms:if> <!-- page action test-->
							</cms:if> <!-- save success test-->
						</cms:if> <!-- form success test-->							

						<cms:if k_error >
							<!-- Show form validation error messages-->
							<p class="bg-danger"><font color='red'>
							<cms:each k_error ><cms:show item /><br /></cms:each></font></p>
						</cms:if>
							
						<!-- Now show the form fields-->
						<div class="form-group">
							<label for="k_page_title" class="col-lg-3 col-md-4 col-xs-5 control-label">Bulletin title</label>
							<div class="col-sm-5 col-xs-7">
								<cms:input type='bound' name='k_page_title' class='form-control input-sm' /> 
							</div>
						</div>
						
						<div class="form-group">
							<label for="sender_name" class="col-lg-3 col-md-4 col-xs-5 control-label">Sender's name</label>
							<div class="col-xs-7">
								<cms:input type='bound' name='sender_name' class='form-control input-sm' /> 
							</div>
						</div>
						<div class="form-group">
							<label for="sender_email" class="col-lg-3 col-md-4 col-xs-5 control-label">Sender's email address</label>
							<div class="col-xs-7">
								<cms:input type='bound' name='sender_email' class='form-control input-sm' /> 
							</div>
						</div>
						
						<div class="form-group">
							<label for="subject" class="col-lg-3 col-md-4 col-xs-5 control-label">Message type</label>
							<div class="col-xs-5">
								<cms:input type="dropdown" name="folder" opt_values='Membership information=membership | Management information=management | Work party information=work_parties | Interests & activities=interests' opt_selected='management' required='1' class='form-control input-sm' />
							</div>
						</div>
						
						<div class="form-group">
							<label for="bull_content" class="col-lg-3 col-md-4 col-xs-5 control-label">Bulletin content</label>
							<div class="col-lg-9 col-md-8 col-xs-7">
								<cms:input type='bound' name='bull_content' class='form-control input-sm' />
							</div>
						</div>
						
						<div class="form-group">
							<label for="bull_attach" class="col-lg-3 col-md-4 col-xs-5 control-label">Attached file</label>
							<div class="col-sm-3 col-xs-7">
								<cms:input type='bound' name='bull_attach_0' class='form-control input-sm' /> <span class="bcc_formtip">Optional</span>
							</div>
						</div>
						<div class="form-group" id="attach_1">
							<label for="bull_attach" class="col-lg-3 col-md-4 col-xs-5 control-label">Attached file</label>
							<div class="col-sm-3 col-xs-7">
								<cms:input type='bound' name='bull_attach_1' class='form-control input-sm' /> <span class="bcc_formtip">Optional</span>
							</div>
						</div>
						<div class="form-group" id="attach_2">
							<label for="bull_attach" class="col-lg-3 col-md-4 col-xs-5 control-label">Attached file</label>
							<div class="col-sm-3 col-xs-7">
								<cms:input type='bound' name='bull_attach_2' class='form-control input-sm' /> <span class="bcc_formtip">Optional</span>
							</div>
						</div>
						<div class="form-group" id="attach_3">
							<label for="bull_attach" class="col-lg-3 col-md-4 col-xs-5 control-label">Attached file</label>
							<div class="col-sm-3 col-xs-7">
								<cms:input type='bound' name='bull_attach_3' class='form-control input-sm' /> <span class="bcc_formtip">Optional</span>
							</div>
						</div>
						<div class="form-group" id="attach_4">
							<label for="bull_attach" class="col-lg-3 col-md-4 col-xs-5 control-label">Attached file</label>
							<div class="col-sm-3 col-xs-7">
								<cms:input type='bound' name='bull_attach_4' class='form-control input-sm' /> <span class="bcc_formtip">Optional</span>
							</div>
						</div>
						
						<div class="form-group">
							<div class="col-lg-3 col-md-4 col-xs-5 "></div>
							<div class="col-xs-4">
								<button type="button" class="btn bcc_btn_minor btn-default btn-sm" name="btn_add" id="btn_add" onClick="show_field('attach')">Add another file</button>
							</div>
						</div>	
						
						<div id="advanced_fields">							
							<div class="form-group">
								<label for="bull_header" class="col-lg-3 col-md-4 col-xs-5 control-label">Banner image</label>
								<div class="col-sm-3 col-xs-7">
									<cms:input type='bound' name='bull_header' class='form-control input-sm' value=default_header />
								</div>
							</div>
							<div class="form-group">
								<label for="bull_footer" class="col-lg-3 col-md-4 col-xs-5 control-label">Footer text</label>
								<div class="col-lg-9 col-md-8 col-xs-7">
									<cms:input type='bound' name='bull_footer' class='form-control input-sm' value=default_footer />
								</div>
							</div>
						</div>
						
						<div class="form-group">
							<div class="col-lg-3 col-md-4 col-xs-5 ">
								<p class="text-right"><a href="bulletin.php?p=<cms:show bull_pg />">View as page</a></p>
							</div>
							<div class="col-xs-7">
								<button type="submit" class="btn bcc_btn btn-default btn-sm" name="save" value="true" >Save draft</button>
								<button type="submit" class="btn bcc_btn btn-default btn-sm" name="test" value="true" >Send as test</button>
								<button type="submit" class="btn bcc_btn_major btn-default btn-sm" name="send" value="true" >Send bulletin</button>
							</div>
						</div>
						
					</cms:form>

				</cms:if> <!-- page access test-->
			</cms:if> <!-- success message test-->

				<div class="bcc_pageinfo">
					<p class="text-right"><a href="#top" title="Go to top of page">Back to top</a></p>
				</div>
			<cms:embed 'colophon.txt' />
		</div>		
	</div>
</div>
</body>
</html>    
<?php COUCH::invoke(); ?>